extends StaticBody3D
signal entrato 
signal uscito

# Called when the node enters the scene tree for the first time.
func _ready() -> void:
	pass # Replace with function body.


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta: float) -> void:
	pass

# se e "visibile nello schermo" emit ma emit anche se ce un muro davanti
func _on_visible_on_screen_notifier_3d_screen_entered() -> void:
	entrato.emit()


func _on_visible_on_screen_notifier_3d_screen_exited() -> void:
	uscito.emit()
